<?php

// system superrior object
$nc_core = nc_Core::get_object();

global $db, $INCLUDE_FOLDER, $MODULE_VARS, $ADMIN_FOLDER, $TMP_FOLDER;;

if ( !function_exists('LoadModuleEnv') ) {
  require_once($INCLUDE_FOLDER."s_loadenv.inc.php");
}

LoadModuleEnv();

$lang = NetCat_language_detect();
$int = (MAIN_LANG=="ru" ? "" : "_int");

require_once $ADMIN_FOLDER."class/import.inc.php";

$class_subs = ParseClassFile($TMP_FOLDER."modules/subscriber/tpl".$int."/subscriber.tpl");

$Parameters = $db->get_var("SELECT `Parameters` FROM `Module` WHERE `Keyword` = 'subscriber'");

$Parameters = UpdateParameters($Parameters, "VERSION", 2);
$Parameters = UpdateParameters($Parameters, "SUBSCRIBER_CLASS_ID", $class_subs);

// update base
$db->query("UPDATE `Module` SET `Parameters` = '".$db->escape($Parameters)."', `Inside_Admin` = '1'  WHERE `Keyword` = 'subscriber'");

//  
$tpldir = $MODULE_FOLDER."subscriber/tpl/";
if( @is_dir($tpldir) ) {
    if($dh = @opendir($tpldir)) {
        while( ($file = @readdir($dh))!== false ) {
            if($file=="." || $file=="..") continue;
      @unlink($tpldir.$file);
        }
        @closedir($dh);
    }
}
@rmdir($tpldir);

$tpldir = $MODULE_FOLDER."subscriber/tpl_int/";
if( is_dir($tpldir) ) {
    if($dh = @opendir($tpldir)) {
        while( ($file = readdir($dh))!== false ) {
      if($file=="." || $file=="..") continue;
      @unlink($tpldir.$file);
        }
        closedir($dh);
    }
}
@rmdir($tpldir);

/**
 * Converter
 */

//   
$res = $db->get_results("SELECT DISTINCT s.`Sub_Class_ID`, c.`Class_ID`, c.`SubscribeCond`, c.`SubscribeTemplate`
  FROM `Subscriber` AS `s`, `Class` AS c, `Sub_Class` AS `sc`
  WHERE s.`Sub_Class_ID` = sc.`Sub_Class_ID`
  AND c.`Class_ID` = sc.`Class_ID`  ", ARRAY_A);

//  
if ( empty($res) ) return 0;

//     
$rel = array();

foreach ( $res as $v ) {
  //    
  $cc_env = $nc_core->sub_class->get_by_id( $v['Sub_Class_ID'] );
  
  // 
  $access = intval( $cc_env['Subscribe_Access_ID'] );
  //     ,    
  if ( !$access ) $access = 3;

  //  
  $name = $db->escape($cc_env['Sub_Class_Name']);

  //     
  $db->query("INSERT INTO `Subscriber_Mailer`
    ( `Name`, `Sub_Class_ID`, `Access`, `Type`, `Active`, `InStat`,  `Record`, `SubscribeCond`,  `Subject`, `HTML`, `ActionType`)
    VALUES
    ('".$name."', '".$v['Sub_Class_ID']."', '".$access."', '1', '1', '0', '".$db->escape($v['SubscribeTemplate'])."', '".$db->escape($v['SubscribeCond'])."', '".$name."', '1', '1')");

  $rel[$v['Sub_Class_ID']] = $db->insert_id;
}


//  
$res = $db->get_results("SELECT s.`User_ID` as `user_id`, s.`Sub_Class_ID` as `cc_id`, s.`Status`
  FROM `Subscriber` AS `s`, `User` AS `u`
  WHERE u.`User_ID` = s.`User_ID`  ", ARRAY_A);
  
foreach ( $res as $v ) {
  $db->query("INSERT INTO `Subscriber_Subscription`
    (`User_ID` ,`Mailer_ID` ,`Status` ,`Period` ,`Created` ,`Hash`)
    VALUES
    ('".$v['user_id']."', '".$rel[$v['cc_id']]."', '".($v['Status'] ? "on" : "off")."', '1', NOW(),  '".md5(rand()."NETCAT".serialize($v))."-".$rel[$v['cc_id']]."');");
}

?>
