CREATE TABLE `Subscriber_Log` (`ID` int(11) NOT NULL auto_increment,`Mailer_ID` INT(11) DEFAULT NULL, `User_ID` INT(11) DEFAULT NULL,`ActionTime` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP, `ActionType` ENUM('mail','subscribe','unsubscribe','confirm') DEFAULT 'mail',  PRIMARY KEY  (`ID`),  KEY `Mailer_ID` (`Mailer_ID`),  KEY `User_ID` (`User_ID`),  KEY `Mailer_ID_2` (`Mailer_ID`,`User_ID`)) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 ;
CREATE TABLE `Subscriber_Mailer` (  `Mailer_ID` INT(11) NOT NULL auto_increment,  `Name` TEXT,  `Sub_Class_ID` INT(11) DEFAULT '0',  `Access` INT(11) DEFAULT NULL,  `Type` INT(11) DEFAULT '1',  `Active` INT(11) DEFAULT '1',  `InStat` INT(11) DEFAULT '0',  `Header` TEXT,  `Footer` TEXT,  `Record` TEXT,  `SubscribeCond` TEXT,  `SendCond` TEXT,  `SubscribeAction` TEXT,  `Period` INT(11) DEFAULT NULL,  `Subject` TEXT,  `HTML` INT(1) NOT NULL DEFAULT '0',  `ActionType` INT(11) NOT NULL DEFAULT '0',  `MailCount` INT(11) NOT NULL DEFAULT '0',  `LastSend` TIMESTAMP NULL DEFAULT NULL,  PRIMARY KEY  (`Mailer_ID`),  KEY `Sub_Class_ID` (`Sub_Class_ID`)) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=2;
CREATE TABLE `Subscriber_Message` (  `ID` int(11) NOT NULL auto_increment,  `Sub_Class_ID` int(11) NOT NULL,  `Message_ID` int(11) NOT NULL,  `Date` timestamp NOT NULL default CURRENT_TIMESTAMP,  `Rel_Sub_Class_ID` int(11) NOT NULL,  `Rel_Message_ID` int(11) NOT NULL,  PRIMARY KEY  (`ID`),  KEY `Sub_Class_ID` ( `Sub_Class_ID` ),  KEY `Rel_Sub_Class_ID` ( `Rel_Sub_Class_ID` )) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 ;
CREATE TABLE `Subscriber_Prepared` (  `ID` int(11) NOT NULL auto_increment,  `Email` text NOT NULL,  `Subject` text  NOT NULL,  `Body` text  NOT NULL,  `SendTime` timestamp NOT NULL default CURRENT_TIMESTAMP,  `HTML` int(1) NOT NULL,  `Files` TEXT  NULL,  PRIMARY KEY  (`ID`)) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;
CREATE TABLE `Subscriber_Settings` (  `ID` int(11) NOT NULL auto_increment,  `Key` varchar(255) default NULL,  `Value` text,  PRIMARY KEY  (`ID`)) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=18 ;
CREATE TABLE `Subscriber_Subscription` (  `ID` int(11) NOT NULL auto_increment,  `User_ID` int(11) default NULL,  `Mailer_ID` int(11) default NULL,  `Status` enum('on','off','wait') NOT NULL default 'on',  `Period` int(11) NOT NULL,  `Created` datetime NOT NULL default '0000-00-00 00:00:00',  `LastSend` timestamp NULL default '0000-00-00 00:00:00',  `Hash` varchar(255) NOT NULL,  PRIMARY KEY  (`ID`),  KEY `User_ID` (`User_ID`),  KEY `Mailer_ID` (`Mailer_ID`),  KEY `User_ID_2` (`User_ID`,`Mailer_ID`)) ENGINE=MyISAM  DEFAULT CHARSET=cp1251  ;
CREATE TABLE `Subscriber_UserMessage` (  `ID` int(11) NOT NULL auto_increment,  `User_ID` int(11) NOT NULL,  `Sub_Class_ID` int(11) NOT NULL,  `Message_ID` int(11) NOT NULL,  `Mailer_ID` int(11) NOT NULL,  PRIMARY KEY  (`ID`),  KEY `Sub_Class_ID` ( `Sub_Class_ID` ),  KEY `User_ID` ( `User_ID` )) ENGINE=MyISAM  DEFAULT CHARSET=cp1251  ;
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(1, 'ConfirmBody', '!\r\n\r\n  ,   <a href=''%LINK%''>.</a>\r\n\r\n<a href=''%SUB_LINK%''>  </a>');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(2, 'ConfirmSubject', ' ');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(3, 'ConfirmType', '0');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(4, 'EmailField', 'Email');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(5, 'Charset', 'windows-1251');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(6, 'ReplyEmail', 'reply@example.com');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(7, 'FromEmail', 'info@example.com');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(8, 'FromName', 'MailBot');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(9, 'MergeMail', '0');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(10, 'TextConfirm', ' .');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(11, 'TextUnscribe', '  .');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(12, 'TextError', '  ,     .');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(13, 'MaxMailCount', '50');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(14, 'MaxTime', '100');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(15, 'FormSubscribe', '<form method=''post'' action=''/netcat/subscribe.php''>\r\n  <input type=''hidden'' name=''catalogue'' value=''".$catalogue."'' />\r\n  <input type=''hidden'' name=''sub'' value=''".$sub."'' />\r\n  <input type=''hidden'' name=''cc'' value=''".$cc."'' />\r\n  <input type=''hidden'' name=''posting'' value=''1'' />\r\n\r\n  <input type=''text'' name=''fields[Email]'' value=''".$fields[Email]."'' />\r\n\r\n</form>');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(16, 'ConfirmHTML', '1');
INSERT INTO `Subscriber_Settings` (`ID`, `Key`, `Value`) VALUES(17, 'TestEmail', 'test@example.com');
CREATE TABLE `Classificator_SubscriberPeriod` (  `SubscriberPeriod_ID` int(11) NOT NULL auto_increment,  `SubscriberPeriod_Name` char(255) NOT NULL default '',  `SubscriberPeriod_Priority` int(11) default NULL,  `Value` text,  `Checked` int(1) default '1',  PRIMARY KEY  (`SubscriberPeriod_ID`)) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 AUTO_INCREMENT=5 ;
INSERT INTO `Classificator_SubscriberPeriod` (`SubscriberPeriod_ID`, `SubscriberPeriod_Name`, `SubscriberPeriod_Priority`, `Value`, `Checked`) VALUES(1, ' ', 1, '0', 1);
INSERT INTO `Classificator_SubscriberPeriod` (`SubscriberPeriod_ID`, `SubscriberPeriod_Name`, `SubscriberPeriod_Priority`, `Value`, `Checked`) VALUES(2, ' ', 2, '3600', 1);
INSERT INTO `Classificator_SubscriberPeriod` (`SubscriberPeriod_ID`, `SubscriberPeriod_Name`, `SubscriberPeriod_Priority`, `Value`, `Checked`) VALUES(3, '  ', 3, '7200', 1);
INSERT INTO `Classificator_SubscriberPeriod` (`SubscriberPeriod_ID`, `SubscriberPeriod_Name`, `SubscriberPeriod_Priority`, `Value`, `Checked`) VALUES(4, ' ', 4, '604800', 1);
INSERT INTO `Classificator` ( `Classificator_Name`, `Table_Name`, `System`, `Sort_Type`, `Sort_Direction`) VALUES(' ', 'SubscriberPeriod', 0, 0, 0);
INSERT INTO `Subscriber_Mailer` (`Mailer_ID`, `Name`, `Sub_Class_ID`, `Access`, `Type`, `Active`, `InStat`, `Header`, `Footer`, `Record`, `SubscribeCond`, `SendCond`, `SubscribeAction`, `Period`, `Subject`, `HTML`, `ActionType`, `MailCount`, `LastSend`) VALUES (1, ':  ', 0, 2, 1, 0, 0, ', <b>%USER_LOGIN% </b>. <br/>\r\n <a href=''http://".$current_catalogue[''Domain''].$static_vars[''forum_obj'']->get_forum_url_by_cc_id($cc)."''> </a>   . \r\n<br><br>\r\n<table border=''0''>', '</table>\r\n<br><br>\r\n  ? - <a href=''%LINK%''>     .</a>.', '";\r\n\r\n//  ,  \r\nif ( $f_UserID ) {\r\n  $f_Author = $db->get_var("SELECT `Login` FROM `User` WHERE `User_ID` = ''".$f_UserID."'' ");\r\n}\r\nelse {\r\n  $f_Author = '''';\r\n}\r\n\r\n$result .="\r\n<tr>\r\n  <td>  <a href=''http://".$current_catalogue[''Domain''].$static_vars[''topic_obj'']->get_url($f_Topic_ID)."''></a> \r\n        <b>$f_Author</b> :</a>\r\n  </td>\r\n</tr>\r\n\r\n<tr>\r\n  <td>".nc_bbcode($f_Message)."</td>\r\n</tr>\r\n\r\n\r\n<tr>\r\n  <td><a href=''http://".$current_catalogue[''Domain''].nc_message_link($f_Topic_ID, $MODULE_VARS[''forum2''][''TOPIC_CLASS_ID''], ''subscribe'')."''>   .</a></td>\r\n</tr>\r\n', '$nc_forum2_topic = nc_forum2_topic::get_object();\r\n$topic_url = $nc_forum2_topic->get_url($message);\r\n\r\n\r\n\r\n$nc_subscriber = nc_subscriber::get_object();\r\n\r\nif ( $nc_subscriber->is_subscribe_to_message ( $cc, $message ) ) {\r\n  $db->query("DELETE FROM `Subscriber_UserMessage` WHERE `Sub_Class_ID` = ''".$cc."'' AND `Message_ID` = ''".$message."''");\r\n  $posting = 0;\r\n  $warnText = "  .</a><br/><a href=''".$topic_url."''>  </a>";\r\n}', '//       \r\n$static_vars[''topic_obj''] = nc_forum2_topic::get_object();\r\n$static_vars[''forum_obj''] = nc_forum2_forum::get_object();\r\n\r\n', '";\r\n  // get topic object\r\n  $nc_forum2_topic = nc_forum2_topic::get_object();\r\n  // determine topic url\r\n  $topic_url = $nc_forum2_topic->get_url($message);\r\n\r\necho "\r\n\r\n".( $nc_status == ''on'' ? "  ." : "  e-mail       ")."\r\n<br/>\r\n<a href=''".$topic_url."''>  </a>', 1, '    ".$current_sub[''Subdivision_Name'']."', 1, 0, 0, NULL);
INSERT INTO `CronTasks` ( `Cron_Minutes`, `Cron_Hours`, `Cron_Days`, `Cron_Months`, `Cron_Weekdays`, `Cron_Script_URL`, `Cron_Launch`) VALUES (2,0,0,0,0,'/netcat/modules/subscriber/cron.php?param=test',NULL);
